Sims Medieval cannot take Pirates and Nobles, error says base game is not updateable

View previous topic View next topic Go down

Sims Medieval cannot take Pirates and Nobles, error says base game is not updateable

Post by Blackmerlyn on Sat 23 Mar 2013, 06:49

Hello. I am hoping you can help me, since I found here the only working help for the Launcher issue, after many fruitless exchanges with EA unspeakably abominable customer support.

Now I wanted the Pirates and Nobles expansion and I bought it. Made careful by previous problems, I decided to buy the PACK from Origin that contains both the base game and the Pirates and Nobles expansion, thinking that so I would be guaranteed that it all worked. After all the game is sold as being specific to MacOSX Leopard and higher, and I have Lion.

So, I uninstalled the old game (made a backup of my world data) and reinstalled the base game that I downloaded from Origin in the pack. The installation went well (aside from reviving the Launcher issue, for which yet I have a fix, so NP).
But when I try to install the Pirates and Nobles expansion (which came IN THE PACK with this same base game) it gives me this message:
The Sims Medieval™ Pirates and Nobles Compatibility error
The version of The Sims Medieval™ installed is not updatable and is not compatible with The Sims Medieval™ Pirates and Nobles.

This is driving me crazy. Is there anybody who can help?

Blackmerlyn
Beginner
Beginner

Posts : 1
Points : 1732
Reputation : 0
Join date : 2013-03-23

View user profile

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum